% Copyright (C) 2008-2010 - Michael Baudin
% Copyright (C) 2010-2011 - DIGITEO - Michael Baudin
%
% This file must be used under the terms of the 
% Creative Commons Attribution-ShareAlike 3.0 Unported License :
% http://creativecommons.org/licenses/by-sa/3.0/

@book{numericaloptimization,
author = {Jorge Nocedal, Stephen J. Wright},
title = {Numerical Optimization},
year = {1999},
publisher= {Springer}}

@UNPUBLISHED{quadprogTurlach,
   author = {Berwin A Turlach},
   title = {QuadProg, (Quadratic Programming Routines)},
   note = {\url{http://www.maths.uwa.edu.au/~berwin/software/quadprog.html}}
   }


@ARTICLE{GoldfarbIdnani1982,
   AUTHOR  = {Goldfarb D. and Idnani A.},
   TITLE   = {Dual and Primal-Dual Methods for Solving Strictly Convex Quadratic Programs},  
   YEAR    = {1982},
   JOURNAL = {Lecture Notes in Mathematics, Springer-Verlag},
   VOLUME  = {909},
   PAGES   = {226--239}
}
@ARTICLE{GoldfarbIdnani1983,
   AUTHOR  = {Goldfarb D. and Idnani A.},
   TITLE   = {A numerically stable dual method for solving strictly convex quadratic programs},  
   YEAR    = {1982},
   JOURNAL = {Mathematical Programming},
   VOLUME  = {27},
   PAGES   = {1--33}
}

@book{optimisationmultiobjectif,
author = {Yann Collette, Patrick Siarry},
title = {Optimisation Multiobjectif},
year = {1999},
publisher= {Eyrolles, Collection Algorithmes}
}

@book{Goldberg1989,
author = {David E. Goldberg},
title = {Genetic Algorithms in Search, Optimization \& Machine Learning},
year = {1989},
publisher= {Addison-Wesley}
}

@book{Michalewicz96,
author = {Zbigniew Michalewicz},
title = {Genetic Algorithms + Data Structures = Evolution Programs},
year = {1996},
publisher= {Springer}
}

@UNPUBLISHED{yanncollettefree,
   author = {Yann Collette},
   title = {Personnal Website},
   note = {\url{http://ycollette.free.fr}}
   }

@UNPUBLISHED{CoelloCoello,
   author = {Carlos A. Coello Coello},
   title = {List of References on Evolutionary Multiobjective Optimization},
   note = {\url{http://www.lania.mx/~ccoello/EMOObib.html}}
   }

@ARTICLE{SrinivasKalyanmoy,
   AUTHOR  = {Goldfarb D. and Idnani A.},
   TITLE   = {A numerically stable dual method for solving strictly convex quadratic programs},  
   YEAR    = {1982},
   JOURNAL = {Mathematical Programming},
   VOLUME  = {27},
   PAGES   = {1--33}
}

@ARTICLE{Srinivas94multiobjectiveoptimization,
    author = {N. Srinivas and Kalyanmoy Deb},
    title = {Multiobjective optimization using nondominated sorting in genetic algorithms},
    journal = {Evolutionary Computation},
    year = {1994},
    volume = {2},
    pages = {221--248},
    note={\url{http://www.lania.mx/%7Eccoello/deb95.ps.gz}}
}


@inproceedings{FonsecaFleming1993,
 author = {Carlos M. Fonseca and Peter J. Fleming},
 title = {Genetic Algorithms for Multiobjective Optimization: FormulationDiscussion and Generalization},
 booktitle = {Proceedings of the 5th International Conference on Genetic Algorithms},
 year = {1993},
 isbn = {1-55860-299-2},
 pages = {416--423},
 publisher = {Morgan Kaufmann Publishers Inc.},
 address = {San Francisco, CA, USA},
 note={\url{http://www.lania.mx/%7Eccoello/fonseca93.ps.gz}}
 }

@INPROCEEDINGS{Deb00afast,
    author = {Kalyanmoy Deb and Samir Agrawal and Amrit Pratap and T Meyarivan},
    title = {A Fast Elitist Non-Dominated Sorting Genetic Algorithm for Multi-Objective Optimization: NSGA-II},
    booktitle = {},
    year = {2000},
    pages = {849--858},
    publisher = {Springer},
    note={\url{http://www.lania.mx/%7Eccoello/deb00.ps.gz}}
}

@article{Nocedal1980LimitedBFGS,
     jstor_articletype = {primary_article},
     title = {Updating Quasi-Newton Matrices with Limited Storage},
     author = {Nocedal, Jorge},
     journal = {Mathematics of Computation},
     jstor_issuetitle = {},
     volume = {35},
     number = {151},
     jstor_formatteddate = {Jul., 1980},
     pages = {773--782},
     url = {\url{http://www.jstor.org/stable/2006193}},
     ISSN = {00255718},
     abstract = {We study how to use the BFGS quasi-Newton matrices to precondition minimization methods for problems where the storage is critical. We give an update formula which generates matrices using information from the last $m$ iterations, where $m$ is any number supplied by the user. The quasi-Newton matrix is updated at every iteration by dropping the oldest information and replacing it by the newest information. It is shown that the matrices generated have some desirable properties. The resulting algorithms are tested numerically and compared with several well-known methods.},
     publisher = {American Mathematical Society},
     language = {},
     copyright = {Copyright © 1980 American Mathematical Society},
     year = {1980},
    }


@techreport{bonnans1983,
   author = {Bonnans Fr\'ederic},
   title = {A variant of a projected variable metric method for bound constrained optimization problems},
   month={Octobre},
   year={1983},
   institution={INRIA - Rocquencourt},
   number={RR-0242}
   }

@UNPUBLISHED{simulatedannealingwikipedia,
   author = {Wikipedia},
   title = {Simulated annealing},
   note = {\url{http://en.wikipedia.org/wiki/Simulated_annealing}}
   }


@UNPUBLISHED{scilablocalization,
   author = {Sylvestre Ledru},
   title = {Localization},
   note = {\url{http://wiki.scilab.org/Localization}}
   }

@UNPUBLISHED{ATOMSscibench,
   author = {Michael Baudin},
   title = {Scibench},
   note = {\url{http://atoms.scilab.org/toolboxes/scibench}}
   }
   
   
@book{LaarhovenAarts1987,
 editor = {P. J. M. Laarhoven and E. H. L. Aarts},
 title = {Simulated annealing: theory and applications},
 year = {1987},
 isbn = {9-027-72513-6},
 publisher = {Kluwer Academic Publishers},
 address = {Norwell, MA, USA},
 }
@book{Laarhoven1988,
     title = {Theoretical and Computational Aspects of Simulated Annealing.},
     author = {Laarhoven, P. J. M. van},
     publisher = {Amsterdam, Netherlands : Centrum voor Wiskunde en Informatica},
     year={1988}
    }
@book{davis1987,
 author = {Lawrence Davis},
 title = {Genetic Algorithms and Simulated Annealing},
 year = {1987},
 isbn = {0934613443},
 publisher = {Morgan Kaufmann Publishers Inc.},
 address = {San Francisco, CA, USA},
 }

@article{HerreraLozanoSanchez2003,
     title = {A taxonomy for the crossover operator for real-coded genetic algorithms: An experimental study},
     author = {F. Herrera, M. Lozano, A. M. Sanchez},
     journal = {International Journal of Intelligent Systems},
     volume = {18},
     number = {3},
     pages = {309--338},
     url = {\url{http://www3.interscience.wiley.com/journal/102531567/abstract?CRETRY=1&SRETRY=0}},
     publisher = {Wiley Periodicals, Inc.},
     year = {2003},
    }

@UNPUBLISHED{SIFreferenceURL,
   author = {Andrew R. Conn, Nicholas I. M. Gould and Philippe L. Toint},
   title = {The SIF Reference Document},
   note = {\url{http://www.numerical.rl.ac.uk/lancelot/sif/sifhtml.html}}
   }
   
@UNPUBLISHED{SIFdecoder,
   author = {hsl.rl.ac.uk},
   title = {A lonesome SIF decoder},
   note = {\url{http://hsl.rl.ac.uk/cuter-www/sifdec/doc.html}}
   }
  @UNPUBLISHED{CUTErHSL,
   author = {Nicholas I.M. Gould, Dominique Orban, Philippe L. Toint},
   title = {A Constrained and Unconstrained Testing Environment, revisited},
   note = {\url{http://hsl.rl.ac.uk/cuter-www/}}
   }

  @UNPUBLISHED{CUTErTestProblemSetwww,
   author = {Nicholas I.M. Gould, Dominique Orban, Philippe L. Toint},
   title = {The CUTEr Test Problem Set},
   note = {\url{http://www.numerical.rl.ac.uk/cute/mastsif.html}}
   }

   
   
   
@UNPUBLISHED{AMPL.com,
   author = {AMPL company},
   title = {A Modeling Language for Mathematical Programming},
   note = {\url{http://en.wikipedia.org/wiki/AMPL_programming_language}}
   }
@UNPUBLISHED{AMPLwikipedia,
   author = {Wikipedia},
   title = {AMPL (programming language)},
   note = {\url{http://en.wikipedia.org/wiki/AMPL_programming_language}}
   }
@UNPUBLISHED{GAMSwikipedia,
   author = {Wikipedia},
   title = {{G}eneral {A}lgebraic {M}odeling {S}ystem},
   note = {\url{http://en.wikipedia.org/wiki/General_Algebraic_Modeling_System}}
   }
@UNPUBLISHED{GAMS.com,
   author = {gams.com},
   title = {The {G}eneral {A}lgebraic {M}odeling {S}ystem},
   note = {\url{http://www.gams.com/}}
   }
@UNPUBLISHED{MPS.wikipedia,
   author = {Wikipedia},
   title = {MPS (format)},
   note = {\url{http://en.wikipedia.org/wiki/MPS_(format)}}
   }
@UNPUBLISHED{MPS.lpsolve,
   author = {lpsolve},
   title = {MPS file format},
   note = {\url{http://lpsolve.sourceforge.net/5.5/mps-format.htm}}
   }
@UNPUBLISHED{optimizationservices.org,
   author = {optimizationservices.org},
   title = {Optimization Services},
   note = {\url{http://www.optimizationservices.org/}}
   }
@UNPUBLISHED{coinor.org.osil,
   author = {coin-or.org},
   title = {Optimization Services instance Language (OSiL)},
   note = {\url{https://www.coin-or.org/OS/OSiL.html}}
   }


@ARTICLE{FourerMa2008,
   AUTHOR  = {Robert Fourer, Jun Ma and Kipp Martin},
   TITLE   = {OSiL: An instance language for optimization},  
   YEAR    = {2008},
   JOURNAL = {Computational Optimization and Applications}
}


@book{Murtagh1981,
author = {Murtagh, B.},
title = {Advanced Linear Programming: Computation and Practice},
year = {1981},
publisher= {McGraw-Hill}}

@UNPUBLISHED{sp1994,
   author = {Vandenberghe L. and S. Boyd},
   title = {Semidefinite Programming},
   note = {Internal Report, Stanford University, 1994 (submitted to SIAM Review)}
   }

@book{BEFB:94,
   author    = {S. Boyd and L. {El~{G}haoui}  and E. Feron and V. Balakrishnan},
   title     = {Linear Matrix Inequalities in System and Control Theory},
   year      = {1994},
   month     = jun,
   publisher = {{SIAM}},
   address   = {Philadelphia, PA},
   volume    = 15,
   series    = {Studies in Applied Mathematics},
   isbn      = {0-89871-334-X}
}

@ARTICLE{Khargonekar1991,
title={Mixed H2/H? control: a convex optimization approach},
author={Khargonekar, P.P. and Rotea, M.A.},
journal={Automatic Control, IEEE Transactions on},
year={1991},
month={Jul},
volume={36},
number={7},
pages={824-837},
keywords={closed loop systems, feedback, optimal control, optimisation, stability, transfer functionsclosed loop systems, convex optimization, inequality constraint, optimal control, output-feedback, stability, state-feedback, transfer function},
doi={10.1109/9.85062},
ISSN={0018-9286}
}

@ARTICLE{Nikoukhah1992,
title={Kalman filtering and Riccati equations for descriptor systems},
author={Nikoukhah, R. and Willsky, A.S. and Levy, B.C.},
journal={Automatic Control, IEEE Transactions on},
year={1992},
month={Sep},
volume={37},
number={9},
pages={1325-1342},
keywords={Kalman filters, algebra, discrete time systems, filtering and prediction theory, maximum likelihood estimation3-block algebraic Riccati equation, 3-block form, Kalman filtering, Riccati equations, discrete-time descriptor dynamics, discrete-time filtering, optimal filter, singular estimation problems, time-varying descriptor models, time-varying models},
doi={10.1109/9.159570},
ISSN={0018-9286}
}

@TECHREPORT{Torczon89multi-directionalsearch,
    author = {Virginia Joanne Torczon},
    title = {Multi-Directional Search: A Direct Search Algorithm for Parallel Machines},
    institution = {Rice University},
    year = {1989}
}


@article{83716,
 author = {Gilbert,, J. C. and Lemar\'{e}chal,, C.},
 title = {Some numerical experiments with variable-storage quasi-Newton algorithms},
 journal = {Math. Program.},
 volume = {45},
 number = {3},
 year = {1989},
 issn = {0025-5610},
 pages = {407--435},
 doi = {http://dx.doi.org/10.1007/BF01589113},
 publisher = {Springer-Verlag New York, Inc.},
 address = {Secaucus, NJ, USA},
 }

@article{355673,
 author = {Shanno,, D. F. and Phua,, K. H.},
 title = {Algorithm 500: Minimization of Unconstrained Multivariate Functions [E4]},
 journal = {ACM Trans. Math. Softw.},
 volume = {2},
 number = {1},
 year = {1976},
 issn = {0098-3500},
 pages = {87--94},
 doi = {http://doi.acm.org/10.1145/355666.355673},
 publisher = {ACM},
 address = {New York, NY, USA},
 }

@article{355933,
 author = {Shanno,, D. F. and Phua,, K. H.},
 title = {Remark on ``Algorithm 500: Minimization of Unconstrained Multivariate Functions [E4]''},
 journal = {ACM Trans. Math. Softw.},
 volume = {6},
 number = {4},
 year = {1980},
 issn = {0098-3500},
 pages = {618--622},
 doi = {http://doi.acm.org/10.1145/355921.355933},
 publisher = {ACM},
 address = {New York, NY, USA},
 }

@article{BuckleyLeNir1983,
 author = {Buckley, A and LeNir, A},
 title = {QN-like variable storage conjugate gradients},
 journal = {Mathematical Programming},
 volume = {27},
 number = {2},
 year = {1983},
 pages = {155--175},
 }

@article{citeulike:1284223,
	abstract = {We study how to use the BFGS quasi-Newton matrices to precondition minimization methods for problems where the storage is critical. We give an update formula which generates matrices using information from the last m iterations, where m is any number supplied by the user. The quasi-Newton matrix is updated at every iteration by dropping the oldest information and replacing it by the newest information. It is shown that the matrices generated have some desirable properties. The resulting algorithms are tested numerically and compared with several well-known methods.},
	author = {Nocedal, Jorge  },
	citeulike-article-id = {1284223},
	journal = {Mathematics of Computation},
	keywords = {maxent, quality},
	number = {151},
	pages = {773--782},
	posted-at = {2007-05-08 21:42:02},
	priority = {2},
	title = {Updating Quasi-Newton Matrices with Limited Storage},
	url = {http://www.jstor.org/stable/2006193},
	volume = {35},
	year = {1980}
}

@techreport{Powell1970,
	abstract = {We study how to use the BFGS quasi-Newton matrices to precondition minimization methods for problems where the storage is critical. We give an update formula which generates matrices using information from the last m iterations, where m is any number supplied by the user. The quasi-Newton matrix is updated at every iteration by dropping the oldest information and replacing it by the newest information. It is shown that the matrices generated have some desirable properties. The resulting algorithms are tested numerically and compared with several well-known methods.},
	author = {Powell, M.J.D.},
	institution = {Atomic Energy Research Establishment, Harwell, England},
	number = {Rep. AERE-R 6469},
	title = {A fortran subroutine for unconstrained minimization, requiring first derivative of the objective function.},
	year = {1970}
}

@article{Shanno1978,
	author = {Shanno, D.F. },
	journal = {Mathematics of Operations Research},
	volume = {3},
	pages = {244--256},
	title = {Conjugate gradient methods with inexact searches},
	year = {1978}
}

@article{ShannoPhua1978,
	author = {Shanno, D.F. and Phua, K. H.},
	journal = {Math. Program.},
	volume = {14},
	pages = {149--160},
	title = {Matrix conditioning and nonlinear optimization},
	year = {1978}
}

@MISC{Brent73algorithmsfor,
    author = {Richard P. Brent},
    title = {Algorithms for Minimization without Derivatives},
    year = {1973}
}

@article{citeulike:1903787,
	abstract = {The greatest or least value of a function of several variables is to be found when the variables are restricted to a given region. A method is developed for dealing with this problem and is compared with possible alternatives. The method can be used on a digital computer, and is incorporated in a program for Mercury. 10.1093/comjnl/3.3.175},
	author = {Rosenbrock, H. H. },
	citeulike-article-id = {1903787},
	doi = {10.1093/comjnl/3.3.175},
	journal = {The Computer Journal},
	keywords = {deterministic, kisao, simulation\_algorithms},
	month = {March},
	number = {3},
	pages = {175--184},
	posted-at = {2007-11-12 19:07:20},
	priority = {2},
	title = {An Automatic Method for Finding the Greatest or Least Value of a Function},
	url = {http://dx.doi.org/10.1093/comjnl/3.3.175},
	volume = {3},
	year = {1960}
}

@book{dixmier,
author = {J. Dixmier, P. Dugac},
title = {Cours de Math\'ematiques du premier cycle, 1\`ere ann\'ee},
year = {1969},
publisher= {Gauthier-Villars}}

@UNPUBLISHED{schimdtnd,
   title = {Numerical Derivatives},
   note = {\url{http://fermi.la.asu.edu/PHY531/intro/node1.html}},
   author = {K.E. Schmidt}
   }

@book{NumericalRecipes,
author = {W. H. Press and Saul A. Teukolsky and William T. Vetterling and Brian P. Flannery},
title = {Numerical Recipes in C, Second Edition},
year = {1992},
publisher= {Cambridge University Press}}



@book{Gill81MurrayWright,
	address = {London},
	author = {Gill, P. E.  and Murray, W.  and Wright, M. H. },
	citeulike-article-id = {1055426},
	keywords = {bibtex-import},
	posted-at = {2007-01-20 09:02:15},
	priority = {2},
	publisher = {Academic Press},
	title = {Practical optimization},
	year = {1981}
}

@MISC{CecillLicence,
    title = {Cecill and Free Software},
    note = {\url{http://www.cecill.info}}
}




@MISC{BlasWWW,
    title = {BLAS -- {B}asic {L}inear {A}lgebra {S}ubprograms},
    note = {\url{http://www.netlib.org/blas}}
}
@MISC{LapackWWW,
    title = {LAPACK -- {L}inear {A}lgebra {PACK}age},
    note = {\url{http://www.netlib.org/lapack}}
}
@MISC{AtlasWWW,
    title = {{ATLAS} -- {A}utomatically {T}uned {L}inear {A}lgebra {S}oftware},
    note = {\url{http://math-atlas.sourceforge.net}}
}
@MISC{WikiNwniWWW,
    title = {Different execution modes of {S}cilab},
    author = {Ledru, Sylvestre},
    note = {\url{http://wiki.scilab.org/Different_execution_modes_of_Scilab}}
}

@inproceedings{WhaleyDongarra1998,
 author = {Whaley, R. Clint and Dongarra, Jack J.},
 title = {Automatically tuned linear algebra software},
 booktitle = {Supercomputing '98: Proceedings of the 1998 ACM/IEEE conference on Supercomputing (CDROM)},
 year = {1998},
 isbn = {0-89791-984-X},
 pages = {1--27},
 location = {San Jose, CA},
 publisher = {IEEE Computer Society},
 address = {Washington, DC, USA},
 }

@MISC{MolerOriginsmatlab2004,
    author = {Cleve Moler},
    title = {The origins of {M}atlab},
    month = {December},
    year = {2004},
    note={\url{http://www.mathworks.fr}}
}



@MISC{HistoryScilab,
    author = {Nikoukhah, Ramine and Netter, Thomas},
    title = {Scilab/{S}cicos history},
    note={\url{http://www.scicos.org/history.html}}
}

@MISC{ScilabWWWHistory,
    author = {Scilab},
    title = {Scilab history},
    note={\url{http://www.scilab.org/platform/index_platform.php?page=history}}
}


@misc{MolerWikipedia,
   author = {Wikipedia},
   title = {Cleve Moler --- {W}ikipedia{,} {T}he {F}ree {E}ncyclopedia},
   year = {2009},
   url = {\url{http://en.wikipedia.org/wiki/Cleve_Moler}},
 }


@MISC{MolerInterview,
    author = {Haigh, Thomas},
    title = {An interview with Cleve Moler},
    year = {2004},
    month = {March},
    note={\url{http://history.siam.org/oralhistories/moler.htm}}
}

@book{578659,
 author = {Forsythe, George E. and Malcolm, Michael A. and Moler, Cleve B.},
 title = {Computer Methods for Mathematical Computations},
 year = {1977},
 isbn = {0131653326},
 publisher = {Prentice Hall Professional Technical Reference},
 }

@Book{Forsythe:1967:CSL,
  author = {George E. Forsythe and Cleve B. Moler},
  title = {Computer Solution of Linear Algebraic Systems},
  publisher = {Prentice-Hall},
  pages = {xi + 148},
  year = {1967},
  LCCN = {QA297 .F57 1967},
  bibdate = {Wed Sep 07 10:06:03 1994},
  bibsource =    {ftp://ftp.math.utah.edu/pub/bibnet/authors/m/moler-cleve-b.bib},
  acknowledgement = ack-nhfb,
  keywords = {book, math, na, software},
}



@MISC{MolerBibliography,
    author = {Beebe, Nelson H. F.},
    title = {Cleve Moler Bibliography},
    year = {2007},
    month = {November},
    note={\url{http://www.netlib.org/bibnet/authors/m/moler-cleve-b.bib}}
}


@MISC{MolerPhd,
    author = {Moler, C.B.},
    title = {Finite Difference Methods for the Eigenvalues of Laplace's Operator},
    year = {1965},
    note = {Dept. Mathematics, Stanford Univ.}
}

@article{10.1109/MAHC.2008.2,
author = {Thomas Haigh},
title = {Cleve Moler: Mathematical Software Pioneer and Creator of Matlab},
journal ={IEEE Annals of the History of Computing},
volume = {30},
number = {1},
issn = {1058-6180},
year = {2008},
pages = {87-91},
doi = {http://doi.ieeecomputersociety.org/10.1109/MAHC.2008.2},
publisher = {IEEE Computer Society},
address = {Los Alamitos, CA, USA},
}

@Book{WilkinsonReinsch1971,
  author =       {Wilkinson, J. H. and Reinsch, C.},
  title =        {Linear algebra},
  year =         {1971},
  publisher = {Springer-Verlag}
}

@Book{Wirth1976,
  author =       {Niklaus Wirth},
  title =        {Algorithms + data structures=programs},
  year =         {1976},
 publisher = {Prentice-Hall series in automatic computation},
}


@MISC{MalcolmMoler1973,
    year = {1973},
    title = {Urand, a universal random number generator},
    author = {Malcolm, Michael, A. and Moler, Cleve},
    publisher = {Computer Science Department, Stanford University},
    note = {\url{ftp://reports.stanford.edu/pub/cstr/reports/cs/tr/73/334/CS-TR-73-334.pdf}}
}


@MISC{PCREWWW,
    author = {Hazel, Philip},
    title = {PCRE -- {P}erl {C}ompatible {R}egular {E}xpressions},
    note={\url{http://www.pcre.org/}}
}


@MISC{IntelMKLWWW,
    author = {Intel},
    title = {Intel {M}ath {K}ernel {L}ibrary},
    note={\url{http://software.intel.com/en-us/intel-mkl/}}
}


@MISC{FlexdockWWW,
    author = {Flexdock project},
    title = {Flexdock project home},
    note={\url{https://flexdock.dev.java.net/}}
}


@book{ModelingScilabNikou2006,
author = {Campbell, Stephen L. and Chancelier, Jean-Philippe and Nikoukhah, Ramine},
title = {Modeling and Simulation in {S}cilab/{S}cicos},
year = {2006},
publisher= {Springer}}


@MISC{MatlabMemoryManagement,
    author = {The Mathworks},
    title = {Matlab - {P}roduct {S}upport - 1106 - {M}emory {M}anagement {G}uide},
    note={\url{http://www.mathworks.com/support/tech-notes/1100/1106.html}}
}

@MISC{MatlabAvoidMemoryError,
    author = {The Mathworks},
    title = {Matlab - {P}roduct {S}upport - 1107 - {A}voiding {O}ut of {M}emory {E}rrors},
    note={\url{http://www.mathworks.com/support/tech-notes/1100/1107.html}}
}

@MISC{MatlabMaxMatrixSizePlatform,
    author = {The Mathworks},
    title = {Matlab - {P}roduct {S}upport - 1110 - {M}aximum {M}atrix {S}ize by {P}latform},
    note={\url{http://www.mathworks.com/support/tech-notes/1100/1110.html}}
}

@MISC{Matlab32-64bits,
    author = {The Mathworks},
    title = {Matlab - {T}echnical {S}olution - {W}hat are the benefits of 64-bit {M}atlab versus 32-bit {M}atlab?},
    note={\url{http://www.mathworks.com/support/solutions/en/data/1-YVO5H/index.html}}
}






@book{citeulike:2122238,
	address = {Baltimore, MD, USA},
	author = {Golub, Gene  H.  and Van Loan, Charles  F. },
	citeulike-article-id = {2122238},
	isbn = {0801854148},
	keywords = {algebra, book, computation, numerical},
	posted-at = {2008-03-30 22:15:25},
	priority = {2},
	publisher = {Johns Hopkins University Press},
	title = {Matrix computations (3rd ed.)},
	url = {http://portal.acm.org/citation.cfm?id=248979},
	year = {1996}
}

@book{OtimizationKelley1999,
	author = {Kelley, C.T.},
	publisher = {Springer},
	title = {Iterative Methods For Optimization},
	year = {1999}
}

@Book{Kelley1999,
title={Iterative Methods for Optimization},
author = {C. T. Kelley},
publisher = {SIAM Frontiers in Applied Mathematics},
volume={19},
year={1999},
note={\url{http://www.siam.org/books/textbooks/fr18_book.pdf}}
}

@article{Box1965,
   author = {Box, M. J.},
   journal = {The Computer Journal},
   pages = {42--52},
   title = {A New Method of Constrained Optimization and a Comparison With Other Methods},
   year = {1965 }
}

    @article{Spendley1962,
     jstor_articletype = {primary_article},
     title = {Sequential Application of Simplex Designs in Optimisation and Evolutionary Operation},
     author = {Spendley, W. and Hext, G. R. and Himsworth, F. R.},
     journal = {Technometrics},
     jstor_issuetitle = {},
     volume = {4},
     number = {4},
     jstor_formatteddate = {Nov., 1962},
     pages = {441--461},
     url = {http://www.jstor.org/stable/1266283},
     ISSN = {00401706},
     abstract = {A technique for empirical optimisation is presented in which a sequence of experimental designs each in the form of a regular or irregular simplex is used, each simplex having all vertices but one in common with the preceding simplex, and being completed by one new point. Reasons for the choice of design are outlined, and a formal procedure given. The performance of the technique in the presence and absence of error is studied and it is shown (a) that in the presence of error the rate of advance is inversely proportional to the error standard deviation, so that replication of observations is not beneficial, and (b) that the "efficiency" of the technique appears to increase in direct proportion to the number of factors investigated. It is also noted that, since the direction of movement from each simplex is dependent solely on the ranking of the observations, the technique may be used even in circumstances when a response cannot be quantitatively assessed. Attention is drawn to the ease with which second-order designs having the minimum number of experimental points may be derived from a regular simplex, and a fitting procedure which avoids a direct matrix inversion is suggested. In a brief appendix one or two new rotatable designs derivable from a simplex are noted.},
     publisher = {American Statistical Association and American Society for Quality},
     language = {},
     copyright = {Copyright © 1962 American Statistical Association and American Society for Quality},
     year = {1962},
    }

@article{citeulike:3009487,
   abstract = {A method is described for the minimization of a function of n variables, which depends on the comparison of function values at the (n + 1) vertices of a general simplex, followed by the replacement of the vertex with the highest value by another point. The simplex adapts itself to the local landscape, and contracts on to the final minimum. The method is shown to be effective and computationally compact. A procedure is given for the estimation of the Hessian matrix in the neighbourhood of the minimum, needed in statistical estimation problems. 10.1093/comjnl/7.4.308},
   author = {Nelder, J. A.  and Mead, R. },
   citeulike-article-id = {3009487},
   doi = {http://dx.doi.org/10.1093/comjnl/7.4.308},
   journal = {The Computer Journal},
   month = {January},
   number = {4},
   pages = {308--313},
   posted-at = {2008-09-15 16:23:09},
   priority = {2},
   title = {A Simplex Method for Function Minimization},
   note = {\url{http://dx.doi.org/10.1093/comjnl/7.4.308}},
   volume = {7},
   year = {1965}
}

@article{lagarias:112,
author = {Jeffrey C. Lagarias and James A. Reeds and Margaret H. Wright and Paul E. Wright},
collaboration = {},
title = {Convergence Properties of the Nelder--Mead Simplex Method in Low Dimensions},
publisher = {SIAM},
year = {1998},
journal = {SIAM Journal on Optimization},
volume = {9},
number = {1},
pages = {112-147},
keywords = {direct search methods; Nelder--Mead simplex methods; nonderivative optimization},
note = {\url{http://link.aip.org/link/?SJE/9/112/1}},
doi = {10.1137/S1052623496303470}
}

@Book{nla.cat-vn1060620,
author = { Nash, J. C. },
title = { Compact numerical methods for computers : linear algebra and function minimisation},
isbn = { 0852743300 },
publisher = { Hilger, Bristol},
pages = { ix, 227 p. : },
year = { 1979 },
type = { Book },
subjects = { Numerical analysis -- Data processing },
catalogue-url = { http://nla.gov.au/nla.cat-vn1060620 },
}

@ARTICLE{O'Neill1971AAF,
       AUTHOR = {O'Neill, R.},
       TITLE = {Algorithm {AS47} - {F}unction minimization using a simplex procedure},
       JOURNAL = {Applied Statistics},
       VOLUME = {20},
       number = {3},
       YEAR = {1971},
       PAGES = {338--346},
} 
@ARTICLE{O'NeillAS47,
       AUTHOR = {O'Neill, R.},
       TITLE = {Algorithm AS47 - Fortran 77 source code},
       YEAR = {1971},
       note = {\url{http://lib.stat.cmu.edu/apstat/47}}
} 

@book{Han2000,
author = {Han, Lixing},
title = {Algorithms in Unconstrained Optimization},
year = {2000},
publisher= {Ph.D., The University of Connecticut}}

@article{Powell08011962,
author = {Powell, M. J. D.},
title = {{An Iterative Method for Finding Stationary Values of a Function of Several Variables}},
journal = {The Computer Journal},
volume = {5},
number = {2},
pages = {147-151},
doi = {10.1093/comjnl/5.2.147},
year = {1962},
abstract = {An iterative method for finding stationary values of a function of several variables is described. In many ways it is similar to the method of steepest descents; however this new method has second order convergence.
},
URL = {http://comjnl.oxfordjournals.org/cgi/content/abstract/5/2/147},
eprint = {http://comjnl.oxfordjournals.org/cgi/reprint/5/2/147.pdf}
}

@article{R.Fletcher08011963,
author = {Fletcher, R. and Powell, M. J. D.},
title = {A Rapidly Convergent Descent Method for Minimization},
journal = {The Computer Journal},
volume = {6},
number = {2},
pages = {163-168},
doi = {10.1093/comjnl/6.2.163},
year = {1963},
abstract = {A powerful iterative descent method for finding a local minimum of a function of several variables is described. A number of theorems are proved to show that it always converges and that it converges rapidly. Numerical tests on a variety of functions confirm these theorems. The method has been used to solve a system of one hundred non-linear simultaneous equations.
},
URL = {http://comjnl.oxfordjournals.org/cgi/content/abstract/6/2/163},
eprint = {http://comjnl.oxfordjournals.org/cgi/reprint/6/2/163.pdf}
}

@article{589109,
 author = {McKinnon,, K. I. M.},
 title = {Convergence of the Nelder--Mead Simplex Method to a Nonstationary Point},
 journal = {SIAM J. on Optimization},
 volume = {9},
 number = {1},
 year = {1998},
 issn = {1052-6234},
 pages = {148--158},
 doi = {http://dx.doi.org/10.1137/S1052623496303482},
 publisher = {Society for Industrial and Applied Mathematics},
 address = {Philadelphia, PA, USA},
 }



@article{355943,
 author = {Mor\'{e},, J. J. and Garbow,, Burton S. and Hillstrom,, Kenneth E.},
 title = {Algorithm 566: FORTRAN Subroutines for Testing Unconstrained Optimization Software [C5], [E4]},
 journal = {ACM Trans. Math. Softw.},
 volume = {7},
 number = {1},
 year = {1981},
 issn = {0098-3500},
 pages = {136--140},
 doi = {http://doi.acm.org/10.1145/355934.355943},
 publisher = {ACM},
 address = {New York, NY, USA},
 }

@article{HanNeumann2006,
 author = {Han, Lixing and Neumann, Michael},
 title = {Effect of dimensionality on the Nelder-Mead simplex method },
 journal = {Optimization Methods and Software},
 volume = {21},
 number = {1},
 year = {2006},
 pages = {1--16},
 }

@book{BonnansGilbertLemarechalSagastizabal2002,
 publisher = {Springer},
 title = {Numerical Optimization},
 year = {2002},
 author = {Bonnans, Fr\'ederic and Lemar\'echal, Claude and Gilbert, Charles and Sagaztiz\'abal, Claudia},
 }

@book{BoydVandenberghe2004,
   author    = {Boyd, Stephen and Vandenberghe, Lieven},
   title     = {Convex Optimization},
   year      = {2004},
   publisher = {Cambridge University Press},
}

@book{Luenberger1984,
   author    = {Luenberger, David, G.},
   title     = {Linear and nonlinear programming, Second Edition},
   year      = {1984},
   publisher = {Addison-Wesley},
}

@book{Allaire2005,
   author    = {Allaire, Gr\'egoire},
   title     = {Analyse num\'erique et optimisation},
   year      = {2005},
   publisher = {\'Editions de l'\'ecole polytechnique},
}

@book{Allaire2008,
   author    = {Allaire, Gr\'egoire and Kaber, Sidi Mahmoud},
   title     = {Numerical Linear Algebra},
   year      = {2008},
   publisher = {Springer},
}

@book{WhatEveryComputerScientist,
author = {David Goldberg},
title = {What Every Computer Scientist Should Know About Floating-Point Arithmetic},
month={March},
year = {1991},
publisher= {Association for Computing Machinery, Inc.},
note = {\url{http://www.physics.ohio-state.edu/~dws/grouplinks/floating_point_math.pdf}},
}

@misc{fdlibm,
title = {A Freely Distributable C Math Library},
author = {Sun Microsystems, Inc.},
year = {1993},
note = {\url{http://www.netlib.org/fdlibm}},
}

@book{261217,
 author = {Muller,, Jean-Michel},
 title = {Elementary functions: algorithms and implementation},
 year = {1997},
 isbn = {0-8176-3990-X},
 publisher = {Birkhauser Boston, Inc.},
 address = {Secaucus, NJ, USA},
 }

@Book{MullerEtAl2010,
  title        = {Handbook of Floating-Point Arithmetic},
  author    = {Muller, Jean-Michel and Brisebarre, Nicolas and de
          Dinechin, Florent and Jeannerod, Claude-Pierre and
          Lef{\`e}vre, Vincent and Melquiond, Guillaume and Revol,
          Nathalie and Stehl{\'e}, Damien and Torres, Serge},
  publisher    = {{B}irkh\"auser {B}oston },
  pages    = {572 },
  note        = {{ACM} {G}.1.0; {G}.1.2; {G}.4; {B}.2.0; {B}.2.4; {F}.2.1.,
                  ISBN 978-0-8176-4704-9},
  year        = {2010},
}

@article{214414,
 author = {Stewart,, G. W.},
 title = {A note on complex division},
 journal = {ACM Trans. Math. Softw.},
 volume = {11},
 number = {3},
 year = {1985},
 issn = {0098-3500},
 pages = {238--241},
 doi = {http://doi.acm.org/10.1145/214408.214414},
 publisher = {ACM},
 address = {New York, NY, USA},
 }
@article{567808,
 author = {Li,, Xiaoye S. and Demmel,, James W. and Bailey,, David H. and Henry,, Greg and Hida,, Yozo and Iskandar,, Jimmy and Kahan,, William and Kang,, Suh Y. and Kapur,, Anil and Martin,, Michael C. and Thompson,, Brandon J. and Tung,, Teresa and Yoo,, Daniel J.},
 title = {Design, implementation and testing of extended and mixed precision BLAS},
 journal = {ACM Trans. Math. Softw.},
 volume = {28},
 number = {2},
 year = {2002},
 issn = {0098-3500},
 pages = {152--205},
 doi = {http://doi.acm.org/10.1145/567806.567808},
 publisher = {ACM},
 address = {New York, NY, USA},
 }
@misc{KAHAN1987,
 author = {Kahan, W.},
 title = {Branch cuts for complex elementary functions, or much ado about nothing's sign bit.},
 year = {1987},
 pages = {165--211},
 publisher = {In The State of the Art in Numerecal Analysis. 
Proceedings of the Joint IMA/SIAM Conference, 
A. Iserles and M J. D Powell, Eds. Clarendon Press, Oxford, England},
 }
@article{1039814,
 author = {Priest,, Douglas M.},
 title = {Efficient scaling for complex division},
 journal = {ACM Trans. Math. Softw.},
 volume = {30},
 number = {4},
 year = {2004},
 issn = {0098-3500},
 pages = {389--401},
 doi = {http://doi.acm.org/10.1145/1039813.1039814},
 publisher = {ACM},
 address = {New York, NY, USA},
 }

@ARTICLE{1667289,
title={Underflow and the Denormalized Numbers},
author={Coonen, J. T.},
journal={Computer},
year={1981},
month={March },
volume={14},
number={3},
pages={75-87},
doi={10.1109/C-M.1981.220382},
ISSN={0018-9162}, }

@book{artcomputerKnuthVol2,
author = {Knuth, D. E.},
title = {The Art of Computer Programming, Volume 2, Seminumerical Algorithms},
year = {1998},
publisher= {Third Edition, Addison Wesley, Reading, MA}}

@book{knuthTAOCP1,
   author = {Donald E. Knuth},
   title = {Fundamental Algorithms},
   volume = 1,
   series = {The Art of Computer Programming},
   publisher = {Addison-Wesley},
   address = {Reading, Massachusetts},
   edition = {Second},
   year = {1973}
}


@ARTICLE{MosesOakford1963,
title={Tables of random permutations},
author={Moses, Lincoln E. and Oakford, Robert, V.},
journal={Stanford University Press, Stanford, Calif.},
year={1963}
}

@article{Durstenfeld1964,
 author = {Durstenfeld, Richard},
 title = {Algorithm 235: Random permutation},
 journal = {Commun. ACM},
 volume = {7},
 number = {7},
 year = {1964},
 issn = {0001-0782},
 pages = {420},
 doi = {http://doi.acm.org/10.1145/364520.364540},
 publisher = {ACM},
 address = {New York, NY, USA},
 }


@Article{Wynn:1962:AAP,
  author =       {P. Wynn},
  title =        {An Arsenal of {ALGOL} Procedures for Complex
                 Arithmetic},
  journal =      {BIT Numerical Mathematics},
  volume =       {2},
  number =       {4},
  pages =        {232--255},
  month =        dec,
  year =         {1962},
  CODEN =        {BITTEL, NBITAB},
  DOI =          {http://www.springerlink.com/openurl.asp?genre=article&id=doi:10.1007/BF01940171},
  ISSN =         {0006-3835 (print), 1572-9125 (electronic)},
  bibdate =      {Wed Jan 4 18:52:07 MST 2006},
  bibsource =    {ftp://ftp.math.utah.edu/pub/tex/bib/bit.bib;
                 http://springerlink.metapress.com/openurl.asp?genre=issue&issn=0006-3835&volume=2&issue=4},
  URL =          {http://www.springerlink.com/openurl.asp?genre=article&issn=0006-3835&volume=2&issue=4&spage=232},
  acknowledgement = ack-nhfb,
}
@article{DBLP:journals/cacm/Friedland67,
  author    = {Paul Friedland},
  title     = {Algorithm 312: Absolute value and square root of a complex
               number},
  journal   = {Commun. ACM},
  volume    = {10},
  number    = {10},
  year      = {1967},
  pages     = {665},
  ee        = {http://doi.acm.org/10.1145/363717.363780},
  bibsource = {DBLP, http://dblp.uni-trier.de}
}

 @article{journals/ibmrd/MolerM83,
title = {Replacing Square Roots by Pythagorean Sums.},
author = {Cleve B. Moler and Donald Morrison},
journal = {IBM Journal of Research and Development},
number = {6},
pages = {577-581},
url = {http://dblp.uni-trier.de/db/journals/ibmrd/ibmrd27.html#MolerM83},
volume = {27},
year = {1983},
description = {dblp},
date = {2002-01-03},
keywords = {dblp }
} 

@techreport{900236,
 author = {Lawson,, C. L. and Hanson,, R. J. and Kincaid,, D. R. and Krogh,, F. T.},
 title = {Basic Linear Algebra Subprograms for FORTRAN Usage},
 year = {1977},
 source = {http://www.ncstrl.org:8900/ncstrl/servlet/search?formname=detail\&id=oai%3Ancstrlh%3Autexas_cs%3AUTEXAS_CS%2F%2FCS-TR-77-72},
 institution = {University of Texas at Austin},
 address = {Austin, TX, USA},
 }

@article{355771,
 author = {Blue,, James L.},
 title = {A Portable Fortran Program to Find the Euclidean Norm of a Vector},
 journal = {ACM Trans. Math. Softw.},
 volume = {4},
 number = {1},
 year = {1978},
 issn = {0098-3500},
 pages = {15--23},
 doi = {http://doi.acm.org/10.1145/355769.355771},
 publisher = {ACM},
 address = {New York, NY, USA},
 }
@book{Cody:1971:SEF,
  author =       {W. J. Cody},
  title =        {Software for the Elementary Functions},
  pages =        {171--186},
  publisher = {Prentice Hall},
  year =         {1971},
  bibdate =      {Thu Sep 15 18:56:47 1994},
  bibsource =    {garbo.uwasa.fi:/pc/doc-soft/fpbiblio.txt},
  acknowledgement = ack-nj,
}

@misc{ieee754-1985,
	author = {Stevenson, David  },
	booktitle = {ANSI/IEEE Std 754-1985},
	citeulike-article-id = {1677576},
	journal = {ANSI/IEEE Std 754-1985},
	keywords = {floating-point, para08},
	month = {August},
	posted-at = {2008-04-21 12:47:40},
	priority = {1},
	title = {IEEE standard for binary floating-point arithmetic},
	url = {http://ieeexplore.ieee.org/xpls/abs\_all.jsp?arnumber=30711},
	year = {1985}
}

@Book{P754:2008:ISF,
  author =       {{IEEE Task P754}},
  title =        {{IEEE 754-2008, Standard for Floating-Point
                 Arithmetic}},
  publisher =    {IEEE},
  address =      {New York, NY, USA},
  pages =        {58},
  day =          {29},
  month =        aug,
  year =         {2008},
  bibdate =      {Thu Sep 25 09:50:30 2008},
  URL =          {http://ieeexplore.ieee.org/servlet/opac?punumber=4610933;
                  http://en.wikipedia.org/wiki/IEEE_754-2008},
  acknowledgement = ack-nhfb,
}

@misc{matlab-hypot,
author = {The Mathworks},
note={\href{http://www.mathworks.com/access/helpdesk/help/techdoc/index.html?/access/helpdesk/help/techdoc/ref/hypot.html}{http://www.mathworks.com}},
title={Matlab - hypot : square root of sum of squares},
}

@misc{wikipediaquadratic,
   author = {Wikipedia},
   title = {Quadratic equation --- Wikipedia{,} The Free Encyclopedia},
   year = {2009},
   url = {\url{http://en.wikipedia.org/w/index.php?title=Quadratic_equation&oldid=296509126}},
 }

@misc{wikipediacubic,
   author = {Wikipedia},
   title = {Cubic function --- Wikipedia{,} The Free Encyclopedia},
   year = {2009},
   url = {\url{http://en.wikipedia.org/w/index.php?title=Cubic_function&oldid=297316295}},
 }

@misc{wikipedialossofsign,
   author = {Wikipedia},
   title = {Loss of significance --- Wikipedia{,} The Free Encyclopedia},
   year = {2009},
   url = {\url{http://en.wikipedia.org/w/index.php?title=Loss_of_significance&oldid=294706785}},
 }

@UNPUBLISHED{mathworldcubic,
   author = {Weisstein, Eric W.},
   title = {Cubic Equation},
   note = {\url{http://mathworld.wolfram.com/CubicFormula.html}}
   }

@UNPUBLISHED{mathworldquadratic,
   author = {Weisstein, Eric W.},
   title = {Quadratic Equation},
   note = {\url{http://mathworld.wolfram.com/QuadraticEquation.html}}
   }

@book{FORSYTHE1991,
author = {George E. Forsythe},
title = {How Do You Solve A Quadratic Equation ?},
month={JUNE},
year = {1966},
publisher= {Computer Science Department, School of Humanities and Sciences, Stanford University},
   note = {\url{ftp://reports.stanford.edu/pub/cstr/reports/cs/tr/66/40/CS-TR-66-40.pdf}}
}

@misc{Kahan2004,
     title = {On the Cost of Floating-Point Computation Without Extra-Precise Arithmetic},
     author = {W. Kahan},
     note = {\url{http://www.cs.berkeley.edu/~wkahan/Qdrtcs.pdf}},
     year = {2004},
    }

@article{Smith1962,
 author = {Smith,, Robert L.},
 title = {Algorithm 116: Complex division},
 journal = {Commun. ACM},
 volume = {5},
 number = {8},
 year = {1962},
 issn = {0001-0782},
 pages = {435},
 doi = {http://doi.acm.org/10.1145/368637.368661},
 publisher = {ACM},
 address = {New York, NY, USA},
 }

@article{Jenkins1975,
 author = {Jenkins,, M. A.},
 title = {Algorithm 493: Zeros of a Real Polynomial [C2]},
 journal = {ACM Trans. Math. Softw.},
 volume = {1},
 number = {2},
 year = {1975},
 issn = {0098-3500},
 pages = {178--189},
 doi = {http://doi.acm.org/10.1145/355637.355643},
 publisher = {ACM},
 address = {New York, NY, USA},
 }

@article{Nievergelt2003,
     jstor_articletype = {primary_article},
     title = {How (Not) to Solve Quadratic Equations},
     author = {Nievergelt, Yves},
     journal = {The College Mathematics Journal},
     jstor_issuetitle = {},
     volume = {34},
     number = {2},
     jstor_formatteddate = {Mar., 2003},
     pages = {90--104},
     url = {http://www.jstor.org/stable/3595780},
     ISSN = {07468342},
     abstract = {},
     publisher = {Mathematical Association of America},
     language = {},
     copyright = {Copyright © 2003 Mathematical Association of America},
     year = {2003},
    }


@misc{Forsythe1966,
 author = {George E. Forsythe},
 title = {How Do You Solve A Quadratic Equation ?},
 year = {1966},
 publisher = {TECHNICAL REPORT NO. CS40},
 note = {\url{ftp://reports.stanford.edu/pub/cstr/reports/cs/tr/66/40/CS-TR-66-40.pdf}},
 }

@book{Loeve1963,
author = {Lo\`eve, M.},
title = {Probability Theory I, 4th Edition},
year = {1963},
publisher= {Springer}
}

@book{Ross1987,
author = {Ross, Sheldon, M.},
title = {Introduction to probability and statistics for engineers and scientists},
year = {1987},
publisher= {John Wiley and Sons}
}

@book{montecarlomethodsHammersleyHandscomb,
author = {J. M. Hammersley and D. C. Handscomb},
title = {Monte Carlo Methods},
year = {1964},
publisher= {Chapman and Hall}}

@book{introprobasGrinsteadSnell,
author = {Grinstead, M., Charles and Snell, Laurie, J.},
title = {Introduction to probabilities, Second Edition},
year = {1997},
publisher= {American Mathematical Society}}

@UNPUBLISHED{lectureIntroToProbastats,
   author = {Panchenko, Dmitry},
   title = {Introduction to Probability and Statistics},
   note = {Lectures notes taken by Anna Vetter.},
   publisher= {MIT Open Courseware},
   }

@techreport{891980,
 author = {Malcolm,, Michael A. and Moler,, Cleve B.},
 title = {URAND: a universal random number generator.},
 year = {1973},
 source = {http://www.ncstrl.org:8900/ncstrl/servlet/search?formname=detail\&id=oai%3Ancstrlh%3Astan%3ASTAN%2F%2FCS-TR-73-334},
 publisher = {Stanford University},
 address = {Stanford, CA, USA},
 }

 @misc{wiki:pokerprobas,
   author = {Wikipedia},
   title = {Poker probability --- Wikipedia{,} The Free Encyclopedia},
   year = {2009},
   url = {\url{http://en.wikipedia.org/w/index.php?title=Poker_probability&oldid=297485475}},
 }

@article{seriesNoiresJanvresseRue,
   author = {Janvresse, \'E. and de la Rue, T.},
   title = {La loi des s\'eries noires},
   note = {\url{http://www.univ-rouen.fr/LMRS/Persopage/Janvresse/Publi/series_noires.pdf}},
   journal= {La Recherche},
   year = {2006},
   month={Janvier},
   pages = {52--53},
   volume = {393},
   }

@book{scansStatistics2000,
author = {Glaz, J.  and Balakrishnan, N. },
title = {Scan Statistics and Applications},
year = {1999},
publisher= {Birkh¨auser Boston}}

@book{devenezsorciez2002,
author = {Charpak, Georges and Broch , Henri},
title = {Devenez sorciers, devenez savants},
year = {2002},
publisher= {Odile Jacob}}

@book{KelleyNewtonMethod,
author = {Kelley, C. T.},
title = {Solving nonlinear equations with Newton's method},
year = {2003},
publisher= {SIAM}}


@article{1268781,
 author = {Shampine, L. F.},
 title = {Accurate numerical derivatives in {M}atlab},
 journal = {ACM Trans. Math. Softw.},
 volume = {33},
 number = {4},
 year = {2007},
 issn = {0098-3500},
 pages = {26},
 doi = {http://doi.acm.org/10.1145/1268776.1268781},
 publisher = {ACM},
 address = {New York, NY, USA},
 }

@article{278138,
 author = {Squire, William and Trapp, George},
 title = {Using Complex Variables to Estimate Derivatives  of Real Functions},
 journal = {SIAM Rev.},
 volume = {40},
 number = {1},
 year = {1998},
 issn = {0036-1445},
 pages = {110--112},
 doi = {http://dx.doi.org/10.1137/S003614459631241X},
 publisher = {Society for Industrial and Applied Mathematics},
 address = {Philadelphia, PA, USA},
 }

@article{1979SteplemanWinarsky,
     jstor_articletype = {primary_article},
     title = {Adaptive Numerical Differentiation},
     author = {Stepleman, R. S. and Winarsky, N. D.},
     journal = {Mathematics of Computation},
     jstor_issuetitle = {},
     volume = {33},
     number = {148},
     jstor_formatteddate = {Oct., 1979},
     pages = {1257--1264},
     url = {http://www.jstor.org/stable/2006459},
     ISSN = {00255718},
     language = {},
     year = {1979},
     publisher = {American Mathematical Society},    
     copyright = {Copyright 1979 American Mathematical Society},
    }

@article{DumontetVignes1977,
     title = {D\'etermination du pas optimal dans le calcul des d\'eriv\'ees sur ordinateur},
     author = {Dumontet, J. and Vignes, J.},
     journal = {R.A.I.R.O Analyse num\'erique},
     volume = {11},
     number = {1},
     pages = {13--25},
     url = {http://www.numdam.org/item?id=M2AN_1977__11_1_13_0},
     year = {1977},
    }

@article{Lehmer1951,
     title = {Mathematical Methods in Large-scale Computing Unit},
     author = {Lehmer, D. H.},
     journal = {Proceedings of the Second Symposium on Large Scale Digital Computing Machinery},
     pages = {141--146},
     publisher = {Harvard University Press, Cambridge},
     year = {1951},
    }
@book{Ripley1987,
 author = {Ripley, Brian D.},
 title = {Stochastic simulation},
 year = {1987},
 isbn = {0-471-81884-4},
 publisher = {John Wiley \& Sons, Inc.},
 address = {New York, NY, USA},
 }
@article{Fuller1976,
     title = {The Period of Pseudo-Random Numbers Generated by Lehmer's Congruential Method},
     author = {Fuller, A. T.},
     journal = {The Computer Journal},
     pages = {173--177},
     year = {1976},
    }


@article{ParkMiller1988,
 author = {Park, S. K. and Miller, K. W.},
 title = {Random number generators: good ones are hard to find},
 journal = {Commun. ACM},
 volume = {31},
 number = {10},
 year = {1988},
 issn = {0001-0782},
 pages = {1192--1201},
 doi = {http://doi.acm.org/10.1145/63039.63042},
 publisher = {ACM},
 address = {New York, NY, USA},
 }

@book{IntroductionToAlgorithms,
    author = {Cormen, Thomas H. and Leiserson, Charles E. and Rivest, Ronald L. and Stein, Clifford},
    edition = {2nd Revised edition},
    howpublished = {Taschenbuch},
    isbn = {0262531968},
    keywords = {algorithms, hma},
    month = {September},
    posted-at = {2005-10-27 13:54:05},
    priority = {2},
    publisher = {The MIT Press},
    title = {Introduction to Algorithms},
    url = {http://www.amazon.com/exec/obidos/redirect?tag=citeulike07-20&path=ASIN/0262531968},
    year = {2001}
}
 
@book{IntroductionTheoryNumbers,
    author = {Niven, I. and Zuckerman, H. S. and Montgomery, H. L.},
    edition = {5th},
    publisher = {John Wiley and Sons},
    title = {An introduction to the theory of numbers},
    year = {1991}
}

@Book{Higham:2002:ASN,
  author =       {Nicholas J. Higham},
  title =        {Accuracy and Stability of Numerical Algorithms},
  publisher =    {Society for Industrial and Applied Mathematics},
  address =      {Philadelphia, PA, USA},
  edition =      {Second},
  year =         {2002},
  pages =        {xxx+680},
  ISBN =         {0-89871-521-0}
}

@article{Yalta2008,
 author = {Yalta, A. Talha},
 title = {The accuracy of statistical distributions in Microsoft Excel 2007},
 journal = {Comput. Stat. Data Anal.},
 volume = {52},
 number = {10},
 year = {2008},
 issn = {0167-9473},
 pages = {4579--4586},
 doi = {http://dx.doi.org/10.1016/j.csda.2008.03.005},
 publisher = {Elsevier Science Publishers B. V.},
 address = {Amsterdam, The Netherlands, The Netherlands},
 }
@article{Knusel1995,
 author = {Kn\"{u}sel, Leo},
 title = {On the accuracy of the statistical distributions in GAUSS},
 journal = {Comput. Stat. Data Anal.},
 volume = {20},
 number = {6},
 year = {1995},
 issn = {0167-9473},
 pages = {699--702},
 doi = {http://dx.doi.org/10.1016/0167-9473(96)80000-4},
 publisher = {Elsevier Science Publishers B. V.},
 address = {Amsterdam, The Netherlands, The Netherlands},
 }


@UNPUBLISHED{BurkardtProb,
   author = {Burkardt, John},
   title = {Probability Density Functions},
   url= {http://people.sc.fsu.edu/~burkardt/m_src/prob/prob.html},
   }

@book{AhoUllmanSethiCompilers,
    address = {Boston, MA, USA},
    author = {Aho, Alfred V. and Sethi, Ravi and Ullman, Jeffrey D.},
    citeulike-article-id = {326954},
    citeulike-linkout-0 = {http://portal.acm.org/citation.cfm?id=6448},
    isbn = {0201100886},
    posted-at = {2005-09-20 15:33:29},
    priority = {2},
    publisher = {Addison-Wesley Longman Publishing Co., Inc.},
    title = {Compilers: principles, techniques, and tools},
    url = {http://portal.acm.org/citation.cfm?id=6448},
    year = {1986}
}


@MISC{NMCWWW,
    title = {Numerical Mathematical Consortium},
    note = {\url{http://www.nmconsortium.org}}
}

@misc{wiki:32bits,
   author = {Wikipedia},
   title = {32-bit --- Wikipedia{,} The Free Encyclopedia},
   year = {2009},
   url = {http://en.wikipedia.org/w/index.php?title=32-bit&oldid=331947305},
 }

@misc{wiki:64bits,
   author = {Wikipedia},
   title = {64-bit --- Wikipedia{,} The Free Encyclopedia},
   year = {2009},
   url = {http://en.wikipedia.org/w/index.php?title=64-bit&oldid=332328802}
 }

@UNPUBLISHED{WWWMapleSoft,
   title = {MapleSoft},
   author = {Maple},
   note = {\url{http://www.maplesoft.com}}
   }

@UNPUBLISHED{WWWMathematica,
   title = {Mathematica},
   author = {Wolfram Research},
   note = {\url{http://www.wolfram.com/products/mathematica}}
   }

@UNPUBLISHED{WWWWolframAlpha,
   title = {Wolfram Alpha},
   author = {Wolfram Research},
   note = {\url{http://www.wolframalpha.com}}
   }

@UNPUBLISHED{WWWMaxima,
   title = {Maxima},
   note = {\url{http://maxima.sourceforge.net/}}
   }

@UNPUBLISHED{WWWScilab,
   title = {Scilab},
   author = {The {S}cilab {C}onsortium},
   note = {\url{http://www.scilab.org}}
   }

@UNPUBLISHED{WWWMatlab,
   title = {Matlab},
   author = {The MathWorks},
   note = {\url{http://www.mathworks.fr}}
   }

@UNPUBLISHED{WWWOctave,
   title = {Octave},
   note = {\url{http://www.gnu.org/software/octave}}
   }
@article{JenkinsTraub1970,
     jstor_articletype = {primary_article},
     title = {A Three-Stage Algorithm for Real Polynomials Using Quadratic Iteration},
     author = {Jenkins, M. A. and Traub, J. F.},
     journal = {SIAM Journal on Numerical Analysis},
     jstor_issuetitle = {},
     volume = {7},
     number = {4},
     jstor_formatteddate = {Dec., 1970},
     pages = {545--566},
     url = {http://www.jstor.org/stable/2949376},
     ISSN = {00361429},
     abstract = {},
     language = {},
     year = {1970},
     publisher = {Society for Industrial and Applied Mathematics},    
     copyright = {Copyright © 1970 Society for Industrial and Applied Mathematics},
    }

@techreport{CordenKreitzerIntel2009,
   title = {Consistency of Floating-Point Results using the Intel Compiler or Why doesn't my application always give the same answer?},
   author = {Corden, Martyn J. and Kreitzer, David},
   institution = {Intel Corporation, Software Solutions Group},    
   year = {2009}
}

@UNPUBLISHED{Intel64IA32Architecture,
   title = {Intel 64 and IA-32 Architectures Software Developer's Manual. Volume 1: Basic Architecture},
   author = {Intel Corporation},    
   year = {2009},
   note = {\url{http://www.intel.com/products/processor/manuals}}
}

@article{Monniaux2008,
 author = {Monniaux, David},
 title = {The pitfalls of verifying floating-point computations},
 journal = {ACM Trans. Program. Lang. Syst.},
 volume = {30},
 number = {3},
 year = {2008},
 issn = {0164-0925},
 pages = {1--41},
 doi = {http://doi.acm.org/10.1145/1353445.1353446},
 publisher = {ACM},
 address = {New York, NY, USA},
 }

@techreport{GCCManual2008,
   title = {The GNU Compiler Collection},
   author = {Free Software Foundation},
   year = {2008}
}


@UNPUBLISHED{MPFRWeb,
   author = {MPFR},
   title = {The MPFR Library},
   note = {\url{http://www.mpfr.org}}
   }

@UNPUBLISHED{GMPWeb,
   author = {GMP},
   title = {GNU Multiple Precision Arithmetic Library},
   note = {\url{http://gmplib.org}}
   }

@Article{Fousse:2007:MMP,
  author =       {Laurent Fousse and Guillaume Hanrot and Vincent Lef\`evre and Patrick 
                 P\'elissier and Paul Zimmermann},
  title =        {{MPFR}: A Multiple-Precision Binary Floating-Point Library with Correct Rounding},
  journal =      {{ACM} Transactions on Mathematical Software},
  volume =       {33},
  number =       {2},
  month =        jun,
  year =         {2007},
  pages =        {13:1--13:15},
  URL =          {http://doi.acm.org/10.1145/1236463.1236468},
}

@UNPUBLISHED{HDFWeb,
   author = {The HDF group},
   title = {HDF},
   note = {\url{http://www.hdfgroup.org}}
   }

 	
@ARTICLE{IshigamiHomma1990,
   AUTHOR  = {Ishigami and Homma},
   TITLE   = {An importance quantification technique in uncertainty analysis for computer models},  
   YEAR    = {1990},
   JOURNAL = {Proc. ISUM A'90, First Internat. Symp. on Uncertainty Modelling and Analysis},
   PAGES   = {398--403}
}

@UNPUBLISHED{CornetDebugVisual,
   author = {Cornet, Allan},
   title = {How to debug an external source code linked to {S}cilab with {V}isual {S}tudio},
   note = {\url{http://wiki.scilab.org/How_to_debug_an_external_source_code_linked_to_scilab_with_Visual_Studio}}
   }

@UNPUBLISHED{LedruDebugLinux,
   author = {Ledru, Sylvestre},
   title = {Debugging and Profiling {S}cilab 5},
   note = {\url{http://wiki.scilab.org/Debugging_and_Profiling_Scilab_5}}
   }

@book{introScilabGomez2007,
author = {Chancelier, J.-P. and Delebecque, F. and Gomez, C. and Goursat, M. and Nikoukhah, R. and Steer, S.},
title = {Introduction \`a {S}cilab, Deuxi\`eme \'Edition},
year = {2007},
publisher= {Springer}}


@UNPUBLISHED{scilabstats2001,
author = {Bernard Ycart},
title = {D\'emarrer en {S}cilab, suivi de Statistiques en {S}cilab},
year = {2001},
note = {\url{http://ljk.imag.fr/membres/Bernard.Ycart/polys/demarre_scilab/node21.html}}
}





@book{Wonacott1990,
author = {T.H. Wonacott and R.J. Wonacott},
title = {Introductory statistics},
year = {1990},
publisher= {John Wiley and Sons, New York}}

@book{Saporta2006,
	author = {Saporta, Gilbert  },
	citeulike-article-id = {2795256},
	isbn = {2710808145},
	keywords = {2006, books, francais, my-books, probability-theory, statistics},
	month = {June},
        year = {2006},
	posted-at = {2008-05-13 16:02:22},
	priority = {2},
	publisher = {{Editions Technip}},
	title = {Probabilit\'{e}s, analyses des donn\'{e}es et statistiques},
	url = {http://www.amazon.de/exec/obidos/redirect?tag=citeulike01-21\&amp;path=ASIN/2710808145},
}

	
@article{Algorithm715,
 author = {Cody,, W. J.},
 title = {Algorithm 715: SPECFUN--a portable FORTRAN package of special function routines and test drivers},
 journal = {ACM Trans. Math. Softw.},
 volume = {19},
 number = {1},
 year = {1993},
 issn = {0098-3500},
 pages = {22--30},
 doi = {http://doi.acm.org/10.1145/151271.151273},
 publisher = {ACM},
 address = {New York, NY, USA},
 }


@Book{abramowitz+stegun1964,
  author =	 {Milton Abramowitz and Irene A. Stegun},
  title = 	 {Handbook of Mathematical Functions with Formulas, Graphs, and Mathematical Tables},
  publisher = 	 {Dover},
  year = 	 1964,
  address =	 {New York},
  edition =	 {ninth Dover printing, tenth GPO printing},
  isbn =        {0-486-61272-4}
}
@book{AbramowitzStegun1972,
author = {Abramowitz, M. and Stegun, I. A.},
title = {Handbook of Mathematical Functions with Formulas, Graphs, and Mathematical Tables},
year = {1972},
publisher= {Dover Publications Inc.}}


@book{HartEtAl:1968,
	author = {Hart, John  F.  and Cheney, E. W.  and Lawson, Charles  L.  and Maehly, Hans  J.  and Mesztenyi, Charles  K.  and Rice, John  R.  and Thacher and Witzgall, Christoph  },
	citeulike-article-id = {2931998},
	keywords = {numerics, programming},
	posted-at = {2008-06-26 20:34:54},
	priority = {2},
	publisher = {John wiley \& Sons},
	series = {SIAM Series on Applied Mathematics},
	title = {Computer Approximations},
	year = {1968}
}

@book{Kennedy1980,
	author = {Kennedy, William J. and James E. Gentle},
	publisher = {Marcel Dekker, Inc., New York},
	title = {Statistical Computing},
	year = {1980}
}
@article{Algo708,
 author = {Didonato,, Armido R. and Morris,Jr., Alfred H.},
 title = {Algorithm 708: Significant digit computation of the incomplete beta function ratios},
 journal = {ACM Trans. Math. Softw.},
 volume = {18},
 number = {3},
 year = {1992},
 issn = {0098-3500},
 pages = {360--373},
 doi = {http://doi.acm.org/10.1145/131766.131776},
 publisher = {ACM},
 address = {New York, NY, USA},
 }
@article{DiDonato1986,
 author = {DiDonato,, Armido R and Morris,Jr., Alfred H},
 title = {Computation of the incomplete gamma function ratios and their inverse},
 journal = {ACM Trans. Math. Softw.},
 volume = {12},
 number = {4},
 year = {1986},
 issn = {0098-3500},
 pages = {377--393},
 doi = {http://doi.acm.org/10.1145/22721.23109},
 publisher = {ACM},
 address = {New York, NY, USA},
 }

@article{Ahrens1972,
 author = {Ahrens,, J. H. and Dieter,, U.},
 title = {Computer methods for sampling from the exponential and normal distributions},
 journal = {Commun. ACM},
 volume = {15},
 number = {10},
 year = {1972},
 issn = {0001-0782},
 pages = {873--882},
 doi = {http://doi.acm.org/10.1145/355604.361593},
 publisher = {ACM},
 address = {New York, NY, USA},
 }
@article{358390,
 author = {Ahrens,, J. H. and Dieter,, U.},
 title = {Generating gamma variates by a modified rejection technique},
 journal = {Commun. ACM},
 volume = {25},
 number = {1},
 year = {1982},
 issn = {0001-0782},
 pages = {47--54},
 doi = {http://doi.acm.org/10.1145/358315.358390},
 publisher = {ACM},
 address = {New York, NY, USA},
 }
@MISC{Devroye86non-uniformrandom,
    author = {Luc Devroye},
    title = {Non-Uniform Random Variate Generation},
    year = {1986},
    note={\url{http://cg.scs.carleton.ca/~luc/rnbookindex.html}}
}

@article{AhrensDieter1973,
     jstor_articletype = {primary_article},
     title = {Extensions of Forsythe's Method for Random Sampling from the Normal Distribution},
     author = {Ahrens, J. H. and Dieter, U.},
     journal = {Mathematics of Computation},
     jstor_issuetitle = {},
     volume = {27},
     number = {124},
     jstor_formatteddate = {Oct., 1973},
     pages = {927--937},
     url = {http://www.jstor.org/stable/2005527},
     ISSN = {00255718},
     publisher = {American Mathematical Society},
     language = {},
     copyright = {Copyright © 1973 American Mathematical Society},
     year = {1973},
    }


 @misc{wiki:secant,
   author = {Wikipedia},
   title = {Secant method --- Wikipedia{,} The Free Encyclopedia},
   year = {2009},
   url = {http://en.wikipedia.org/w/index.php?title=Secant_method&oldid=273237464},
   note = {[Online; accessed 3-March-2009]}
 }

 @misc{graySecant,
   author = {Prof. Paul A. Gray},
   title = {Lecture Notes For Numerical Analysis},
   year = {1998},
   note = {\url{http://www.mathcs.emory.edu/ccs/ccs315/ccs315/node19.html}},
 }

@article{Dekker1969,
  title     = {Finding a zero by means of successive linear interpolation},
  author   = {Dekker, T.J.},
  journal   = {Constructive Aspects of the Fundamental Theorem of Algebra, B. Dejon and P. Henrici, Eds.},
  publisher = {Wiley Interscience, London},
  year = {1969}
}

 @misc{diezAsymptotic,
   author = {Pedro Diez},
   title = {A note on the convergence of the secant method for simple and multiple roots},
   note = {\url{http://www-lacan.upc.es/publications/files/AML_PDM_1.pdf}},
 }

 @misc{wiki:falseposition,
   author = {Wikipedia},
   title = {False position method --- Wikipedia{,} The Free Encyclopedia},
   year = {2009},
   url = {http://en.wikipedia.org/w/index.php?title=False_position_method&oldid=265672194},
   note = {[Online; accessed 4-March-2009]}
 }

@MISC{Ford_improvedalgorithms,
    author = {J. A. Ford},
    title = {IMPROVED ALGORITHMS OF ILLINOIS-TYPE FOR THE NUMERICAL SOLUTION OF NONLINEAR EQUATIONS},
    year = {}
}

@misc{wiki:halley,
   author = {Wikipedia},
   title = {Halley's method --- Wikipedia{,} The Free Encyclopedia},
   year = {2008},
   url = {\url{http://en.wikipedia.org/w/index.php?title=Halley%27s_method&oldid=227660122}},
   note = {[Online; accessed 5-March-2009]}
 }

@misc{MathWorldHalley,
   author = {Weisstein, Eric W.},
   title = {Halley's Method, From MathWorld--A Wolfram Web Resource},
   year = {2008},
   note = {\url{http://mathworld.wolfram.com/HalleysMethod.html }},
 }

@misc{wiki:newtonmethod,
   author = {Wikipedia},
   title = {Newton's method --- Wikipedia{,} The Free Encyclopedia},
   year = {2009},
   url = {http://en.wikipedia.org/w/index.php?title=Newton%27s_method&oldid=274846045},
   note = {[Online; accessed 4-March-2009]}
 }

@article{355659,
 author = {Bus,, J. C. P. and Dekker,, T. J.},
 title = {Two Efficient Algorithms with Guaranteed Convergence for Finding a Zero of a Function},
 journal = {ACM Trans. Math. Softw.},
 volume = {1},
 number = {4},
 year = {1975},
 issn = {0098-3500},
 pages = {330--345},
 doi = {http://doi.acm.org/10.1145/355656.355659},
 publisher = {ACM},
 address = {New York, NY, USA},
 }

@inproceedings{Moler1980,
 author = {Moler, Cleve},
 title = {Design of an interactive matrix calculator},
 booktitle = {AFIPS '80: Proceedings of the May 19-22, 1980, national computer conference},
 year = {1980},
 pages = {363--368},
 location = {Anaheim, California},
 doi = {http://doi.acm.org/10.1145/1500518.1500576},
 publisher = {ACM},
 address = {New York, NY, USA},
 }

@misc{wiki:Pascaline,
   author = {Wikipedia},
   title = {Pascal's calculator --- Wikipedia{,} The Free Encyclopedia},
   year = {2010},
   url = {\url{http://en.wikipedia.org/w/index.php?title=Pascal%27s_calculator&oldid=339403574}},
   note = {[Online; accessed 27-January-2010]}
 }

@UNPUBLISHED{SebahGourdon2002,
   author = {Sebah, Pascal and Gourdon, Xavier},
   title = {Introduction to the Gamma Function}
   }

@book{AndrewsAskeyRoy1999,
author = {Andrews, George E. and Askey, Richard  and Roy, Ranjan},
title = {Special Functions},
year = {1999},
publisher= {Cambridge University Press, Cambridge}}


@book{WhittakerWatson,
author = {Whittaker, Edmund Taylor and Watson, George Neville},
title = {A Course of Modern Analysis},
year = {1927},
publisher= {Cambridge Mathematical Library}}

 @misc{wiki:exp,
   author = {Wikipedia},
   title = {Exponential function --- Wikipedia{,} The Free Encyclopedia},
   year = {2010},
   url = {http://en.wikipedia.org/w/index.php?title=Exponential_function&oldid=340983970},
   note = {[Online; accessed 7-February-2010]}
 }



@UNPUBLISHED{MolerExpMatlab,
   author = {Moler, Cleve},
   title = {Experiments with {M}atlab}
   }



@UNPUBLISHED{MolerNCM,
   author = {Moler, Cleve},
   title = {Numerical Computing with {M}atlab}
   }

 @misc{Cray11977,
   author = {CRAY},
   title = {CRAY-1 Hardware Reference},
   year = {1977},
   month = {November},
   url = {http://bitsavers.org/pdf/cray/}
 }

@book{Bertsekas2003,
author = {Bertsekas, Dimitry},
title = {Convex Analysis and Optimization},
year = {2003},
publisher= {Athena Scientific, Belmont, Massachusetts}}

@UNPUBLISHED{SchreinerOOPC,
   author = {Axel-Tobias Schreiner},
   title = {Object-Oriented Programming with {ANSI C}},
   note = {\url{www.cs.rit.edu/~ats/books/ooc.pdf}}
   }

@UNPUBLISHED{pqnelsonOOPC,
   author = {pqnelson},
   title = {Object Oriented {C}},
   note = {\url{http://pqnelson.blogspot.com/2007/09/object-oriented-c.html}}
   }

@UNPUBLISHED{SciObjectStructure,
   author = {Mathieu Philippe and Djalel Abdemouche and Fabrice Leray and Jean-Baptiste Silvy and Pierre Lando},
   title = {{modules/graphics/includes/ObjectStructure.h}},
   note = {\url{http://gitweb.scilab.org}}
   }

@UNPUBLISHED{STOOOP,
   author = {Jean-Luc Fontaine},
   title = {STOOOP},
   note = {\url{http://jfontain.free.fr/stooop.html}}
   }

@UNPUBLISHED{SNIT,
   author = {William H. Duquette},
   title = {Snit's Not Incr Tcl},
   note = {\url{http://www.wjduquette.com/snit/}}
   }



@UNPUBLISHED{BaudinEmulateOO,
   author = {Michael Baudin},
   title = {How to emulate Object Oriented Programming in {S}cilab},
   year = {2008},
   note = {\url{http://wiki.scilab.org/Emulate_Object_Oriented_in_Scilab}}
   }

@book{RegexpFriedl2006,
 author = {Friedl, Jeffrey},
 title = {Mastering Regular Expressions},
 year = {2006},
 isbn = {0596528124},
 publisher = {O'Reilly Media, Inc.},
 }

@UNPUBLISHED{Pincon2008,
   author = {Bruno Pin\c{c}on},
   title = {Quelques tests de rapidit\'e entre diff\'erents logiciels matriciels},
   year = {2008},
   note = {\url{http://wiki.scilab.org/Emulate_Object_Oriented_in_Scilab}}
   }



@book{Wilkinson1963,
 author = {James Hardy Wilkinson},
 title = {Rounding errors in algebraic processes},
 year = {1963},
 publisher = {Prentice Hall},
 }



@UNPUBLISHED{SegreGlobalLocalVariables,
   author = {Enrico Segre},
   title = {Scoping of variables in {S}cilab},
   year = {2007},
   note = {\url{http://wiki.scilab.org/howto/global_and_local_variables}}
   }

@UNPUBLISHED{BugReport7102,
   author = {Michael Baudin},
   title = {The neldermead component does not protect under particular user-defined objective functions.},
   year = {2010},
   note = {\url{http://bugzilla.scilab.org/show_bug.cgi?id=7102}}
   }

@UNPUBLISHED{BugReport7103,
   author = {Michael Baudin},
   title = {The integrate function does not protect against conflicts between user-defined functions and developper-defined
variables.},
   year = {2010},
   note = {\url{http://bugzilla.scilab.org/show_bug.cgi?id=7103}}
   }

@UNPUBLISHED{BugReport7104,
   author = {Michael Baudin},
   title = {The derivative function does not protect against conflicts between user-defined functions and developper-defined
variables.},
   year = {2010},
   note = {\url{http://bugzilla.scilab.org/show_bug.cgi?id=7104}}
   }




@UNPUBLISHED{SegreFunctions,
   author = {Enrico Segre},
   title = {Scilab function variables: representation, manipulation.},
   year = {2007},
   note = {\url{http://wiki.scilab.org}}
   }

@UNPUBLISHED{MarechalCodeConv2010,
   author = {Pierre Mar\'echal},
   title = {Code Conventions for the {S}cilab Programming Language},
   year = {2010},
   note = {\url{http://wiki.scilab.org}}
   }





@UNPUBLISHED{BaudinApifun2010,
   author = {Michael Baudin},
   title = {Apifun - {C}heck input arguments in macros.},
   year = {2010},
   note = {\url{http://forge.scilab.org/index.php/p/apifun/}}
   }

@UNPUBLISHED{MolerFameFortune,
   author = {Cleve Moler},
   title = {Benchmarks: {L}inpack and {M}atlab - {F}ame and fortune from megaflops.},
   year = {1994},
   note = {\url{http://www.mathworks.com/company/newsletters/news_notes/pdf/sumfall94cleve.pdf}}
   }


@UNPUBLISHED{MolerMatlabIncorpLapack,
   author = {Cleve Moler},
   title = {{M}atlab Incorporates {LAPACK}},
   year = {2000},
   publisher = {The Mathworks},
   note = {\url{http://www.mathworks.com}}
   }


@UNPUBLISHED{DongarraBenchmarkPerformance,
   author = {Jack J. Dongarra},
   title = {Performance of Various Computers Using Standard Linear Equations Software},
   year = {2013},
   note = {\url{http://www.netlib.org/benchmark/performance.ps}}
   }


@UNPUBLISHED{NetlibBenchmark,
   author = {netlib.org},
   title = {Benchmark Programs and Reports},
   note = {\url{http://www.netlib.org/benchmark/}}
   }


@UNPUBLISHED{ScilabWikiInstallWindows2009,
   year = {2009},
   author = {Allan Cornet},
   title = {Scilab installation on {W}indows},
   note = {\url{http://wiki.scilab.org/howto/install/windows}}
   }



@UNPUBLISHED{LedruUpdateLinalgDebian2010,
   year = {2010},
   month = {April},
   author = {Sylvestre Ledru},
   title = {Update of the linear algebra libraries in {D}ebian},
   note = {\url{http://sylvestre.ledru.info/blog}}
   }

@UNPUBLISHED{LedruDifferentBlasLapack2010,
   year = {2010},
   author = {Sylvestre Ledru},
   title = {Handle different versions of {BLAS} and {LAPACK}},
   note = {\url{http://wiki.debian.org/DebianScience/LinearAlgebraLibraries}}
   }


@UNPUBLISHED{LedruInstallScilabLinux2010,
   year = {2010},
   author = {Sylvestre Ledru},
   title = {{S}cilab installation under Linux},
   note = {\url{http://wiki.scilab.org/howto/install/linux}}
   }

@MISC{Whaley00automatedempirical,
    author = {R. Clint Whaley and Antoine Petitet and R. Clint and Whaley Antoine and Petitet Jack and Jack J. Dongarra},
    title = {Automated Empirical Optimizations of Software and the {ATLAS} project},
    year = {2000}
}

@article{Algo679-1990,
 author = {Dongarra, J. J. and Cruz, Jermey Du and Hammerling, Sven and Duff, I. S.},
 title = {Algorithm 679: A set of level 3 basic linear algebra subprograms: model implementation and test programs},
 journal = {ACM Trans. Math. Softw.},
 volume = {16},
 number = {1},
 year = {1990},
 issn = {0098-3500},
 pages = {18--28},
 doi = {http://doi.acm.org/10.1145/77626.77627},
 publisher = {ACM},
 address = {New York, NY, USA},
 }




@UNPUBLISHED{Top500Linpack,
   title = {The {L}inpack Benchmark},
   note = {\url{http://www.top500.org/project/linpack}}
   }



@UNPUBLISHED{ImprovingPerformanceMatlab,
   author = {The Mathworks},
   title = {Techniques for Improving Performance},
   note = {\url{http://www.mathworks.com/help/techdoc/matlab_prog/f8-784135.html}}
   }



@UNPUBLISHED{WikipediaIntelXeon,
   author = {Wikipedia},
   year = {2010},
   title = {Intel {X}eon --- {W}ikipedia{,} The Free Encyclopedia},
   note = {\url{http://en.wikipedia.org/wiki/Xeon}}
   }


@UNPUBLISHED{IntelIntelXeon5410,
   author = {Intel},
   year = {2010},
   title = {Intel {X}eon {P}rocessor {E}5410},
   note = {\url{http://ark.intel.com/Product.aspx?id=33080}}
   }

@UNPUBLISHED{DebianAtlasReame,
   author = {Debian Science},
   year = {2010},
   title = {{README}.{D}ebian},
   note = {\url{http://anonscm.debian.org/viewvc/debian-science/packages/atlas/trunk/debian}}
   }

@UNPUBLISHED{LinearAlgebraDebianLedru2010,
   author = {Sylvestre Ledru},
   year = {2010},
   month = {August},
   title = {Linear Algebra libraries in {D}ebian},
   booktitle = {Debian Conference 2010},
   note = {\url{http://people.debian.org/~sylvestre/presentation-linear-algebra.pdf }}
   }




@UNPUBLISHED{BugReport7670,
   author = {Micha\"el Baudin},
   year = {2010},
   month = {August},
   title = {There is no pascal function - Bug Report \#7670},
   note = {\url{http://bugzilla.scilab.org/show_bug.cgi?id=7670}}
   }

@UNPUBLISHED{BugReport7497,
   author = {Micha\"el Baudin},
   year = {2010},
   month = {July},
   title = {The help page of backslash does not print the singularity level - Bug Report \#7497},
   note = {\url{http://bugzilla.scilab.org/show_bug.cgi?id=7497}}
   }


@UNPUBLISHED{MatlabMatrixIndexing2011,
   author = {Steve Eddins and Loren Shure},
   title = {Matrix Indexing in {M}atlab},
   publisher = {The Mathworks},
   note = {\url{http://www.mathworks.com}}
   }
